package com.tmax.openframe.variable;

import ch.obermuhlner.math.big.BigDecimalMath;
import com.tmax.openframe.variable.group.*;
import java.math.*;
import java.util.*;
import lombok.*;
import org.apache.commons.lang3.StringUtils;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
public class OIVPSAM_VariableContainer {
    public @Getter String EOF_SW = StringUtils.repeat(' ', 1);
    public @Getter @Setter OIVPSAM_PEOPLE_INFO PEOPLE_INFO = new OIVPSAM_PEOPLE_INFO();

    public void setEOF_SW(String source) {
        EOF_SW = StringUtils.truncate(StringUtils.rightPad(source, 1), 1);
    }
}
